Activity log for bug #999820

Date Who What changed Old value New value Message
2012-05-15 17:12:12 Stuart Langridge bug added bug
2012-05-15 17:12:33 Stuart Langridge bamf (Ubuntu): assignee Marco Trevisan (Treviño) (3v1n0)
2012-05-15 17:13:32 Marco Trevisan (Treviño) bamf (Ubuntu): status New Confirmed
2012-05-15 17:13:36 Marco Trevisan (Treviño) bug task added bamf
2012-05-15 17:13:49 Marco Trevisan (Treviño) bamf: status New Confirmed
2012-05-15 17:13:52 Marco Trevisan (Treviño) bamf: assignee Marco Trevisan (Treviño) (3v1n0)
2012-05-15 17:25:20 Marco Trevisan (Treviño) bug task added unity
2012-05-15 17:25:28 Marco Trevisan (Treviño) bug task added unity (Ubuntu)
2012-05-15 17:25:35 Marco Trevisan (Treviño) bamf: status Confirmed Invalid
2012-05-15 17:25:38 Marco Trevisan (Treviño) bamf (Ubuntu): status Confirmed Invalid
2012-05-15 17:25:40 Marco Trevisan (Treviño) unity: assignee Marco Trevisan (Treviño) (3v1n0)
2012-05-15 17:25:42 Marco Trevisan (Treviño) unity (Ubuntu): assignee Marco Trevisan (Treviño) (3v1n0)
2012-05-15 17:25:46 Marco Trevisan (Treviño) unity: milestone 5.14.0
2012-05-15 17:25:50 Marco Trevisan (Treviño) unity: status New In Progress
2012-05-15 17:25:54 Marco Trevisan (Treviño) unity (Ubuntu): status New In Progress
2012-05-15 18:56:41 Marco Trevisan (Treviño) branch linked lp:~3v1n0/unity/quick-app-reopen-icon-fix
2012-05-15 18:57:55 Marco Trevisan (Treviño) unity: importance Undecided High
2012-05-16 14:31:45 Marco Trevisan (Treviño) unity: status In Progress Fix Committed
2012-05-16 14:31:48 Marco Trevisan (Treviño) unity (Ubuntu): status In Progress Fix Committed
2012-05-17 04:59:29 Marco Trevisan (Treviño) branch linked lp:~3v1n0/bamf/fix-window-removed-crash
2012-05-17 04:59:39 Marco Trevisan (Treviño) bamf: status Invalid In Progress
2012-05-17 04:59:42 Marco Trevisan (Treviño) bamf: importance Undecided High
2012-05-17 05:58:00 Marco Trevisan (Treviño) branch linked lp:~3v1n0/bamf/unset-proxy-on-set-path
2012-05-17 22:30:12 Mirco Bauer bug added subscriber Mirco Bauer
2012-05-21 15:38:03 Marco Trevisan (Treviño) branch linked lp:~3v1n0/unity/missing-launcher-icon-fix-5.0
2012-05-22 15:55:42 Alan Pope 🍺🐧🐱 🦄 nominated for series Ubuntu Precise
2012-05-22 16:00:32 Didier Roche bug task added unity (Ubuntu Precise)
2012-05-22 16:00:32 Didier Roche bug task added bamf (Ubuntu Precise)
2012-05-22 16:01:14 Alan Pope 🍺🐧🐱 🦄 bamf (Ubuntu): status Invalid Fix Committed
2012-05-23 15:58:16 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2012-05-24 08:53:16 Launchpad Janitor branch linked lp:~popey/bamf/sru
2012-05-24 08:54:27 Launchpad Janitor branch linked lp:~popey/unity/sru
2012-05-24 09:09:33 Sebastien Bacher bamf (Ubuntu): importance Undecided High
2012-05-24 09:09:37 Sebastien Bacher unity (Ubuntu Precise): importance Undecided High
2012-05-24 09:09:43 Sebastien Bacher bamf (Ubuntu Precise): importance Undecided High
2012-05-24 09:09:48 Sebastien Bacher bamf (Ubuntu Precise): status New In Progress
2012-05-24 09:09:52 Sebastien Bacher unity (Ubuntu Precise): status New In Progress
2012-05-24 10:05:17 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2012-05-24 10:43:48 Sebastien Bacher unity (Ubuntu): importance Undecided High
2012-05-24 10:43:51 Sebastien Bacher unity (Ubuntu Precise): status In Progress Fix Committed
2012-05-24 11:10:19 Launchpad Janitor bamf (Ubuntu): status Fix Committed Fix Released
2012-05-24 11:16:51 Sebastien Bacher bamf (Ubuntu Precise): status In Progress Fix Committed
2012-05-24 11:17:34 Launchpad Janitor branch linked lp:ubuntu/unity
2012-05-24 11:25:28 Launchpad Janitor branch linked lp:ubuntu/bamf
2012-05-24 15:09:30 Marco Trevisan (Treviño) bamf: status In Progress Fix Released
2012-05-24 15:09:33 Marco Trevisan (Treviño) unity: status Fix Committed Fix Released
2012-05-24 15:09:48 Marco Trevisan (Treviño) unity: status Fix Released Fix Committed
2012-05-24 17:25:25 Steve Langasek bug added subscriber SRU Verification
2012-05-24 17:25:33 Steve Langasek tags amd64 apport-bug precise amd64 apport-bug precise verification-needed
2012-05-24 20:43:19 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/bamf
2012-05-24 22:35:23 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/unity
2012-06-01 16:07:14 Łukasz Zemczak tags amd64 apport-bug precise verification-needed amd64 apport-bug precise verification-done
2012-06-05 10:10:14 Launchpad Janitor unity (Ubuntu Precise): status Fix Committed Fix Released
2012-06-05 10:10:39 Launchpad Janitor bamf (Ubuntu Precise): status Fix Committed Fix Released
2012-06-06 07:49:48 Łukasz Zemczak unity: status Fix Committed Fix Released
2012-06-27 03:26:50 Daniel van Vugt nominated for series unity/5.0
2012-06-27 03:26:50 Daniel van Vugt bug task added unity/5.0
2012-06-27 03:27:09 Daniel van Vugt unity/5.0: importance Undecided High
2012-06-27 03:27:09 Daniel van Vugt unity/5.0: status New Fix Committed
2012-06-27 03:27:09 Daniel van Vugt unity/5.0: milestone 5.14.0
2012-06-27 03:27:09 Daniel van Vugt unity/5.0: assignee Marco Trevisan (Treviño) (3v1n0)
2012-06-27 03:27:22 Daniel van Vugt unity: status Fix Released Fix Committed
2012-06-27 03:27:28 Daniel van Vugt unity: milestone 5.14.0 6.0
2012-07-10 06:56:13 Didier Roche unity: status Fix Committed Fix Released
2012-07-23 16:22:28 Francis Ginther description 1. Install smuxi from Software Centre 2. Observe that it has added a launcher icon 3. Click the launcher icon to start smuxi 4. Switch to another application 5. Switch back to smuxi by clicking its launcher icon 6. Quit smuxi (with its File > Quit menu item; closing the window does not quit the app) 7. Unlock the smuxi icon from the launcher 8. Launch smuxi from the Dash 9. Switch to another application 10. Switch back to smuxi by clicking its launcher icon 11. Lock the smuxi icon to the launcher 12. Quit smuxi 13. Click the locked launcher icon to start smuxi 14. Switch to another application 15. Switch back to smuxi by clicking its launcher icon What happens: 3. The smuxi launcher icon does not have the triangle next to it to indicate that it is running 5. We do not switch to an existing smuxi; instead, a new one is launched! 8. The launcher icon *does* get the triangle when smuxi is launched from the dash 10. Works fine 13. The smuxi launcher icon does not have the triangle next to it to indicate that it is running 15. We do not switch to an existing smuxi; instead, a new one is launched! What should happen: 3, 13: as 8 5, 15: as 10 So, the launcher icon does not seem to correctly detect that smuxi is launched, if it is launched *from* a launcher icon. It does work fine if smuxi is launched from the dash. Note also that if the launcher does not detect that smuxi is running (and so it does not show the triangle), then Smuxi also does not show up in the Alt-Tab switcher. This makes it almost impossible to switch back to Smuxi. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: bamfdaemon 0.2.114-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-24.37-u300acpifix1-generic 3.2.14 Uname: Linux 3.2.0-24.37-u300acpifix1-generic x86_64 ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 CheckboxSubmission: 4d186c1dd89d3ba4cb89f5ee55713686 CheckboxSystem: bb422ca46d02494cdbc459927a98bc2f Date: Tue May 15 18:01:51 2012 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111211) ProcEnviron: LANGUAGE=en_GB:en TERM=xterm PATH=(custom, user) LANG=en_GB.UTF-8 SHELL=/bin/bash SourcePackage: bamf UpgradeStatus: No upgrade log present (probably fresh install) [Test Case] 1. Install smuxi from Software Centre. -> Verify that it has added a launcher icon. 2. Start smuxi from the launcher icon. -> Verify the launcher icon shows the left and right side triangles. 3. Switch to another application. 4. Switch back to smuxi by clicking its launcher icon. -> Verify that the original smuxi instance is refocused (a new instance should not be created). [Regression Potential] No regression potential. Original description: 1. Install smuxi from Software Centre 2. Observe that it has added a launcher icon 3. Click the launcher icon to start smuxi 4. Switch to another application 5. Switch back to smuxi by clicking its launcher icon 6. Quit smuxi (with its File > Quit menu item; closing the window does not quit the app) 7. Unlock the smuxi icon from the launcher 8. Launch smuxi from the Dash 9. Switch to another application 10. Switch back to smuxi by clicking its launcher icon 11. Lock the smuxi icon to the launcher 12. Quit smuxi 13. Click the locked launcher icon to start smuxi 14. Switch to another application 15. Switch back to smuxi by clicking its launcher icon What happens: 3. The smuxi launcher icon does not have the triangle next to it to indicate that it is running 5. We do not switch to an existing smuxi; instead, a new one is launched! 8. The launcher icon *does* get the triangle when smuxi is launched from the dash 10. Works fine 13. The smuxi launcher icon does not have the triangle next to it to indicate that it is running 15. We do not switch to an existing smuxi; instead, a new one is launched! What should happen: 3, 13: as 8 5, 15: as 10 So, the launcher icon does not seem to correctly detect that smuxi is launched, if it is launched *from* a launcher icon. It does work fine if smuxi is launched from the dash. Note also that if the launcher does not detect that smuxi is running (and so it does not show the triangle), then Smuxi also does not show up in the Alt-Tab switcher. This makes it almost impossible to switch back to Smuxi. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: bamfdaemon 0.2.114-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-24.37-u300acpifix1-generic 3.2.14 Uname: Linux 3.2.0-24.37-u300acpifix1-generic x86_64 ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 CheckboxSubmission: 4d186c1dd89d3ba4cb89f5ee55713686 CheckboxSystem: bb422ca46d02494cdbc459927a98bc2f Date: Tue May 15 18:01:51 2012 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111211) ProcEnviron:  LANGUAGE=en_GB:en  TERM=xterm  PATH=(custom, user)  LANG=en_GB.UTF-8  SHELL=/bin/bash SourcePackage: bamf UpgradeStatus: No upgrade log present (probably fresh install)
2012-07-26 04:09:00 Daniel van Vugt unity/5.0: status Fix Committed Fix Released
2014-01-11 18:23:01 Adolfo Jayme bug task deleted bamf (Ubuntu Quantal)